const CounterpartyOptions = [
    {
        name: 'Genesis Global',
        value: 'GENESIS',
    },
    {
        name: 'Acme Global',
        value: 'ACME',
    },
];
const InstrumentOptions = [
    {
        name: 'Bond',
        value: 'BOND',
    },
    {
        name: 'Equity',
        value: 'EQUITY',
    },
];
export const uiSchema = {
    type: 'LayoutVertical2Columns',
    dsPrefix: 'zero',
    elements: [
        {
            type: 'Control',
            scope: '#/properties/QUANTITY',
            label: 'Quantity',
        },
        {
            type: 'Control',
            scope: '#/properties/PRICE',
            label: 'Price',
        },
        {
            type: 'Control',
            scope: '#/properties/COUNTERPARTY_ID',
            options: {
                data: CounterpartyOptions,
                valueField: 'value',
                labelField: 'name',
            },
            label: 'Counterparty',
        },
        {
            type: 'Control',
            scope: '#/properties/INSTRUMENT_ID',
            options: {
                data: InstrumentOptions,
                valueField: 'value',
                labelField: 'name',
            },
            label: 'Instrument',
        },
        {
            type: 'Control',
            scope: '#/properties/SIDE',
            label: 'Side',
        },
        {
            type: 'Control',
            scope: '#/properties/TRADE_DATE',
            label: 'Trade Date',
        },
        {
            type: 'Control',
            scope: '#/properties/ACTIVE',
            label: 'Active',
        },
    ],
};
export const JSON_SCHEMA = {
    type: 'object',
    properties: {
        QUANTITY: {
            oneOf: [
                {
                    type: 'null',
                },
                {
                    type: 'number',
                },
            ],
        },
        PRICE: {
            type: 'number',
        },
        COUNTERPARTY_ID: {
            type: 'string',
        },
        INSTRUMENT_ID: {
            type: 'string',
        },
        SIDE: {
            type: 'string',
            enum: ['BUY', 'SELL'],
        },
        TRADE_DATE: {
            type: 'number',
            format: 'date',
            description: 'org.joda.time.DateTime',
        },
        ACTIVE: {
            type: 'boolean',
        },
    },
    additionalProperties: false,
    required: ['QUANTITY', 'PRICE'],
};
